%{?nodejs_find_provides_and_requires}

%global packagename domutils

Name:		nodejs-domutils
Version:	1.5.1
Release:	1%{?dist}
Summary:	Utilities for working with htmlparser2's dom

License:	BSD
URL:		https://github.com/FB55/domutils.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# This npm package does not have working tests in this version :-(


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Utilities for working with htmlparser2's dom


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.5.1-1
- Initial packaging
